Intel® SoC FPGA Embedded Development Suite
Support for SoC FPGA Software Development, SoC FPGA HPS Architecture, HPS SoC Boot and Configuration, Operating Systems
453 Discussions

acl_hal_mmd.c:755:assert failure, Quartus 18.1 OpenCL

rheine
Beginner
456 Views

Utilizing the 3.10 Linux build and 18.1 OpenCL runtime environment, we're stuck trying to get the aocx file to be accepted due to a version mismatch:

FAILED to read auto-discovery string at byte 15: Expected version is 13, found 14
Error: The currently programmed/flashed design is no longer supported in this release. Please recompile the design with the present version of the SDK and re-program/flash the board.
acl_hal_mmd.c:755:assert failure: Failed to initialize kernel interfacecyclone: acl_hal_mmd.c:755: l_try_device: Assertion `0' failed.

 

Diagnostics repeat the same error. If everything is upto date on the with the same build (18.1.0.625), how is there a version mismatch?

0 Kudos
3 Replies
BoonBengT_Intel
Moderator
434 Views

Hi @rheine,

 

Thank you for posting in Intel community forum and hope all is well.
To understand the situation, are the error mention happened in compilation or when programming the flash memory?
My guess is that there might be a kernel corruption, hence would suggest to recompiled that and also run a aocl diagnose/aocl diagnose <device> <.aocx file>
Hope that clarify.

Best Wishes
BB

0 Kudos
BoonBengT_Intel
Moderator
425 Views

Hi @rheine,

 

Good day, just following up on the previous clarification.
By any chances did you managed to look into the it?

Best Wishes
BB

0 Kudos
BoonBengT_Intel
Moderator
418 Views

Hi @rheine,

 

Greetings, as we do not receive any further clarification on what is provided, we would assume challenge are resolved. Hence thread will no longer be monitored. For new queries, please feel free to open a new thread and we will be right with you. Pleasure having you here.

Best Wishes
BB

0 Kudos
Reply